Cloning into 'data.table'...
done.
Note: switching to '1.15.0'.

You are in 'detached HEAD' state. You can look around, make experimental
changes and commit them, and you can discard any commits you make in this
state without impacting any branches by switching back to a branch.

If you want to create a new branch to retain commits you create, you may
do so (now or later) by using -c with the switch command. Example:

  git switch -c <new-branch-name>

Or undo this operation with:

  git switch -

Turn off this advice by setting config variable advice.detachedHead to false

HEAD is now at 27b0b227 bump version for tagging release
/usr/bin/cp /scratch/th798/mutation-testing/data.table/src/wrappers.c/wrappers.mutant.599.c data.table/src/wrappers.c
* checking for file ‘data.table/DESCRIPTION’ ... OK
/usr/bin/cp -LR --preserve=timestamps data.table /tmp/th798/8028433/Rtmp5NZ5Bb/Rbuild2289a57b4cc7ad
* preparing ‘data.table’:
* checking DESCRIPTION meta-information ... OK
* cleaning src
* running ‘cleanup’
* installing the package to build vignettes
* creating vignettes ...sh: line 1: 2280603 Bus error               (core dumped) '/home/th798/lib64/R/bin/Rscript' --vanilla --default-packages= -e "tools::buildVignettes(dir = '.', tangle = TRUE)" > '/tmp/th798/8028433/Rtmp5NZ5Bb/xshell2289a54128125e' 2>&1
 ERROR
--- re-building ‘datatable-benchmarking.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 10060 would be too long for
<div id="TOC">
<ul class="numbered">
<li><a href="#fread-clear-caches"><span class="section-number">1.</span> fread: clear caches</a></li>
<li><a href="#subset-threshold-for-index-optimization-on-compound-queries"><span class="section-number">2.</span> subset: threshold for index optimization on compound queries</a></li>
<li><a href="#subset-index-aware-benchmarking"><span class="section-number">3.</span> subset: index aware benchmarking</a></li>
<li><a href="#by-reference-operations"><span class="section-number">4.</span> <em>by reference</em> operations</a></li>
<li><a href="#try-to-benchmark-atomic-processes"><span class="section-number">5.</span> try to benchmark atomic processes</a></li>
<li><a href="#avoid-class-coercion"><span class="section-number">6.</span> avoid class coercion</a></li>
<li><a href="#avoid-microbenchmark-times-100"><span class="section-number">7.</span> avoid <code>microbenchmark(..., times=100)</code></a></li>  [... truncated]
--- finished re-building ‘datatable-benchmarking.Rmd’

--- re-building ‘datatable-faq.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 88402 would be too long for
<div id="TOC">
<ul class="numbered">
<li><a href="#beginner-faqs"><span class="section-number">1.</span> Beginner FAQs</a>
<ul>
<li><a href="#j-num"><span class="section-number">1.1</span> Why do <code>DT[ , 5]</code> and <code>DT[2, 5]</code> return a 1-column data.table rather than vectors like <code>data.frame</code>?</a></li>
<li><a href="#why-does-dt-quot-region-quot-return-a-1-column-data-table-rather-than-a-vector"><span class="section-number">1.2</span> Why does <code>DT[,&quot;region&quot;]</code> return a 1-column data.table rather than a vector?</a></li>
<li><a href="#why-does-dt-region-return-a-vector-for-the-region-column-i-d-like-a-1-column-data-table"><span class="section-number">1.3</span> Why does <code>DT[, region]</code> return a vector for the “region” column?  I’d like a 1-column data.table.</a></li>
<li><a href="#why-does-dt-x-y-z-not-work-i-wanted-the-3-columns-x-y-and-z"><span class="section-number">1.4</spa [... truncated]
--- finished re-building ‘datatable-faq.Rmd’

--- re-building ‘datatable-importing.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 19120 would be too long for
<style>
h2 {
    font-size: 20px;
}
</style>
<p>This document is focused on using <code>data.table</code> as a dependency in other R packages. If you are interested in using <code>data.table</code> C code from a non-R application, or in calling its C functions directly, jump to the <a href="#non-r-API">last section</a> of this vignette.</p>
<p>Importing <code>data.table</code> is no different from importing other R packages. This vignette is meant to answer the most common questions arising around that subject; the lessons presented here can be applied to other R packages.</p>
<h2 id="why-to-import-data-table">Why to import <code>data.table</code></h2>
<p>One of the biggest features of <code>data.table</code> is its concise syntax which makes exploratory analysis faster and easier to write and perceive; this convenience  can drive packages authors to use <code>data.table</code> in their own packages. Another maybe even more important rea [... truncated]
--- finished re-building ‘datatable-importing.Rmd’

--- re-building ‘datatable-intro.Rmd’ using knitr

Quitting from lines 126-128 [unnamed-chunk-6] (datatable-intro.Rmd)
Error: processing vignette 'datatable-intro.Rmd' failed with diagnostics:
i (1) is outside the range of items [1,1]
--- failed re-building ‘datatable-intro.Rmd’

--- re-building ‘datatable-keys-fast-subset.Rmd’ using knitr

Quitting from lines 423-429 [unnamed-chunk-33] (datatable-keys-fast-subset.Rmd)
Error: processing vignette 'datatable-keys-fast-subset.Rmd' failed with diagnostics:
i (1) is outside the range of items [1,1]
--- failed re-building ‘datatable-keys-fast-subset.Rmd’

--- re-building ‘datatable-programming.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 27718 would be too long for
<h2 id="introduction">Introduction</h2>
<p><code>data.table</code>, from its very first releases, enabled the usage of <code>subset</code> and <code>with</code> (or <code>within</code>) functions by defining the <code>[.data.table</code> method. <code>subset</code> and <code>with</code> are base R functions that are useful for reducing repetition in code, enhancing readability, and reducing number the total characters the user has to type. This functionality is possible in R because of a quite unique feature called <em>lazy evaluation</em>. This feature allows a function to catch its arguments, before they are evaluated, and to evaluate them in a different scope than the one in which they were called. Let’s recap usage of the <code>subset</code> function.</p>
<pre><code class="language-r">subset(iris, Species == &quot;setosa&quot;)
#   Sepal.Length Sepal.Width Petal.Length Petal.Width Species
# 1          5.1         3.5          1.4   [... truncated]
--- finished re-building ‘datatable-programming.Rmd’

--- re-building ‘datatable-reference-semantics.Rmd’ using knitr

Quitting from lines 162-164 [unnamed-chunk-10] (datatable-reference-semantics.Rmd)
Error: processing vignette 'datatable-reference-semantics.Rmd' failed with diagnostics:
i (1) is outside the range of items [1,1]
--- failed re-building ‘datatable-reference-semantics.Rmd’

--- re-building ‘datatable-reshape.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 28645 would be too long for
<p>This vignette discusses the default usage of reshaping functions <code>melt</code> (wide to long) and <code>dcast</code> (long to wide) for <em>data.tables</em> as well as the <strong>new extended functionalities</strong> of melting and casting on <em>multiple columns</em> available from <code>v1.9.6</code>.</p>
<hr />
<h2 id="data">Data</h2>
<p>We will load the data sets directly within sections.</p>
<h2 id="introduction">Introduction</h2>
<p>The <code>melt</code> and <code>dcast</code> functions for <code>data.table</code>s are for reshaping wide-to-long and long-to-wide, respectively; the implementations are specifically designed with large in-memory data (e.g. 10Gb) in mind.</p>
<p>In this vignette, we will</p>
<ol>
<li>
<p>First briefly look at the default <code>melt</code>ing and <code>dcast</code>ing of <code>data.table</code>s to convert them from <em>wide</em> to <em>long</em> format and <em>vice versa</em></p>
</li>
<li>
<p> [... truncated]
--- finished re-building ‘datatable-reshape.Rmd’

--- re-building ‘datatable-sd-usage.Rmd’ using knitr

 *** caught bus error ***
address 0x150868abb000, cause 'non-existent physical address'

Traceback:
 1: axis(if (horiz) 2 else 1, at = at.l, labels = names.arg, lty = axis.lty,     cex.axis = cex.names, ...)
 2: barplot.default(lm_coef, names.arg = sapply(models, paste, collapse = "/"),     main = "Wins Coefficient\nWith Various Covariates", col = col16,     las = 2L, cex.names = 0.8)
 3: barplot(lm_coef, names.arg = sapply(models, paste, collapse = "/"),     main = "Wins Coefficient\nWith Various Covariates", col = col16,     las = 2L, cex.names = 0.8)
 4: eval(expr, envir, enclos)
 5: eval(expr, envir, enclos)
 6: eval_with_user_handlers(expr, envir, enclos, user_handlers)
 7: withVisible(eval_with_user_handlers(expr, envir, enclos, user_handlers))
 8: withCallingHandlers(withVisible(eval_with_user_handlers(expr,     envir, enclos, user_handlers)), warning = wHandler, error = eHandler,     message = mHandler)
 9: handle(ev <- withCallingHandlers(withVisible(eval_with_user_handlers(expr,     envir, enclos, user_handlers)), warning = wHandler, error = eHandler,     message = mHandler))
10: timing_fn(handle(ev <- withCallingHandlers(withVisible(eval_with_user_handlers(expr,     envir, enclos, user_handlers)), warning = wHandler, error = eHandler,     message = mHandler)))
11: evaluate_call(expr, parsed$src[[i]], envir = envir, enclos = enclos,     debug = debug, last = i == length(out), use_try = stop_on_error !=         2L, keep_warning = keep_warning, keep_message = keep_message,     log_echo = log_echo, log_warning = log_warning, output_handler = output_handler,     include_timing = include_timing)
12: evaluate::evaluate(...)
13: evaluate(code, envir = env, new_device = FALSE, keep_warning = if (is.numeric(options$warning)) TRUE else options$warning,     keep_message = if (is.numeric(options$message)) TRUE else options$message,     stop_on_error = if (is.numeric(options$error)) options$error else {        if (options$error && options$include)             0L        else 2L    }, output_handler = knit_handlers(options$render, options))
14: in_dir(input_dir(), expr)
15: in_input_dir(evaluate(code, envir = env, new_device = FALSE,     keep_warning = if (is.numeric(options$warning)) TRUE else options$warning,     keep_message = if (is.numeric(options$message)) TRUE else options$message,     stop_on_error = if (is.numeric(options$error)) options$error else {        if (options$error && options$include)             0L        else 2L    }, output_handler = knit_handlers(options$render, options)))
16: eng_r(options)
17: block_exec(params)
18: call_block(x)
19: process_group.block(group)
20: process_group(group)
21: withCallingHandlers(if (tangle) process_tangle(group) else process_group(group),     error = function(e) if (xfun::pkg_available("rlang", "1.0.0") &&         !xfun::check_old_package("learnr", "0.11.3")) rlang::entrace(e))
22: withCallingHandlers(withCallingHandlers(if (tangle) process_tangle(group) else process_group(group),     error = function(e) if (xfun::pkg_available("rlang", "1.0.0") &&         !xfun::check_old_package("learnr", "0.11.3")) rlang::entrace(e)),     error = function(e) {        setwd(wd)        write_utf8(res, output %n% stdout())        message("\nQuitting from lines ", paste(current_lines(i),             collapse = "-"), if (labels[i] != "")             sprintf(" [%s]", labels[i]), sprintf(" (%s)", knit_concord$get("infile")))    })
23: process_file(text, output)
24: knit(input, text = text, envir = envir, quiet = quiet)
25: (if (grepl("\\.[Rr]md$", file)) knit2html else if (grepl("\\.[Rr]rst$",     file)) knit2pandoc else knit)(file, encoding = encoding,     quiet = quiet, envir = globalenv(), ...)
26: engine$weave(file, quiet = quiet, encoding = enc)
27: doTryCatch(return(expr), name, parentenv, handler)
28: tryCatchOne(expr, names, parentenv, handlers[[1L]])
29: tryCatchList(expr, classes, parentenv, handlers)
30: tryCatch({    engine$weave(file, quiet = quiet, encoding = enc)    setwd(startdir)    output <- find_vignette_product(name, by = "weave", engine = engine)    if (!have.makefile && vignette_is_tex(output)) {        texi2pdf(file = output, clean = FALSE, quiet = quiet)        output <- find_vignette_product(name, by = "texi2pdf",             engine = engine)    }    outputs <- c(outputs, output)}, error = function(e) {    thisOK <<- FALSE    fails <<- c(fails, file)    message(gettextf("Error: processing vignette '%s' failed with diagnostics:\n%s",         file, conditionMessage(e)))})
31: tools::buildVignettes(dir = ".", tangle = TRUE)
An irrecoverable exception occurred. R is aborting now ...
