Cloning into 'data.table'...
done.
Note: switching to '1.15.0'.

You are in 'detached HEAD' state. You can look around, make experimental
changes and commit them, and you can discard any commits you make in this
state without impacting any branches by switching back to a branch.

If you want to create a new branch to retain commits you create, you may
do so (now or later) by using -c with the switch command. Example:

  git switch -c <new-branch-name>

Or undo this operation with:

  git switch -

Turn off this advice by setting config variable advice.detachedHead to false

HEAD is now at 27b0b227 bump version for tagging release
/usr/bin/cp /scratch/th798/mutation-testing/data.table/src/wrappers.c/wrappers.mutant.834.c data.table/src/wrappers.c
* checking for file ‘data.table/DESCRIPTION’ ... OK
/usr/bin/cp -LR --preserve=timestamps data.table /tmp/th798/8028668/RtmpyrQGy9/Rbuild176a083dac4972
* preparing ‘data.table’:
* checking DESCRIPTION meta-information ... OK
* cleaning src
* running ‘cleanup’
* installing the package to build vignettes
* creating vignettes ... ERROR
--- re-building ‘datatable-benchmarking.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 10060 would be too long for
<div id="TOC">
<ul class="numbered">
<li><a href="#fread-clear-caches"><span class="section-number">1.</span> fread: clear caches</a></li>
<li><a href="#subset-threshold-for-index-optimization-on-compound-queries"><span class="section-number">2.</span> subset: threshold for index optimization on compound queries</a></li>
<li><a href="#subset-index-aware-benchmarking"><span class="section-number">3.</span> subset: index aware benchmarking</a></li>
<li><a href="#by-reference-operations"><span class="section-number">4.</span> <em>by reference</em> operations</a></li>
<li><a href="#try-to-benchmark-atomic-processes"><span class="section-number">5.</span> try to benchmark atomic processes</a></li>
<li><a href="#avoid-class-coercion"><span class="section-number">6.</span> avoid class coercion</a></li>
<li><a href="#avoid-microbenchmark-times-100"><span class="section-number">7.</span> avoid <code>microbenchmark(..., times=100)</code></a></li>  [... truncated]
--- finished re-building ‘datatable-benchmarking.Rmd’

--- re-building ‘datatable-faq.Rmd’ using knitr

Quitting from lines 144-152 [unnamed-chunk-2] (datatable-faq.Rmd)
Error: processing vignette 'datatable-faq.Rmd' failed with diagnostics:
dim.data.table expects a data.table as input (which is a list), but seems to be of type list
--- failed re-building ‘datatable-faq.Rmd’

--- re-building ‘datatable-importing.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 19120 would be too long for
<style>
h2 {
    font-size: 20px;
}
</style>
<p>This document is focused on using <code>data.table</code> as a dependency in other R packages. If you are interested in using <code>data.table</code> C code from a non-R application, or in calling its C functions directly, jump to the <a href="#non-r-API">last section</a> of this vignette.</p>
<p>Importing <code>data.table</code> is no different from importing other R packages. This vignette is meant to answer the most common questions arising around that subject; the lessons presented here can be applied to other R packages.</p>
<h2 id="why-to-import-data-table">Why to import <code>data.table</code></h2>
<p>One of the biggest features of <code>data.table</code> is its concise syntax which makes exploratory analysis faster and easier to write and perceive; this convenience  can drive packages authors to use <code>data.table</code> in their own packages. Another maybe even more important rea [... truncated]
--- finished re-building ‘datatable-importing.Rmd’

--- re-building ‘datatable-intro.Rmd’ using knitr

Quitting from lines 51-59 [unnamed-chunk-3] (datatable-intro.Rmd)
Error: processing vignette 'datatable-intro.Rmd' failed with diagnostics:
dim.data.table expects a data.table as input (which is a list), but seems to be of type list
--- failed re-building ‘datatable-intro.Rmd’

--- re-building ‘datatable-keys-fast-subset.Rmd’ using knitr

Quitting from lines 36-39 [unnamed-chunk-3] (datatable-keys-fast-subset.Rmd)
Error: processing vignette 'datatable-keys-fast-subset.Rmd' failed with diagnostics:
dim.data.table expects a data.table as input (which is a list), but seems to be of type list
--- failed re-building ‘datatable-keys-fast-subset.Rmd’

--- re-building ‘datatable-programming.Rmd’ using knitr

Quitting from lines 161-182 [hypotenuse_datatable] (datatable-programming.Rmd)
Error: processing vignette 'datatable-programming.Rmd' failed with diagnostics:
dim.data.table expects a data.table as input (which is a list), but seems to be of type list
--- failed re-building ‘datatable-programming.Rmd’

--- re-building ‘datatable-reference-semantics.Rmd’ using knitr

Quitting from lines 35-38 [unnamed-chunk-3] (datatable-reference-semantics.Rmd)
Error: processing vignette 'datatable-reference-semantics.Rmd' failed with diagnostics:
dim.data.table expects a data.table as input (which is a list), but seems to be of type list
--- failed re-building ‘datatable-reference-semantics.Rmd’

--- re-building ‘datatable-reshape.Rmd’ using knitr

Quitting from lines 56-67 [unnamed-chunk-3] (datatable-reshape.Rmd)
Error: processing vignette 'datatable-reshape.Rmd' failed with diagnostics:
dim.data.table expects a data.table as input (which is a list), but seems to be of type list
--- failed re-building ‘datatable-reshape.Rmd’

--- re-building ‘datatable-sd-usage.Rmd’ using knitr

Quitting from lines 44-51 [download_lahman] (datatable-sd-usage.Rmd)
Error: processing vignette 'datatable-sd-usage.Rmd' failed with diagnostics:
dim.data.table expects a data.table as input (which is a list), but seems to be of type list
--- failed re-building ‘datatable-sd-usage.Rmd’

--- re-building ‘datatable-secondary-indices-and-auto-indexing.Rmd’ using knitr

Quitting from lines 36-39 [unnamed-chunk-3] (datatable-secondary-indices-and-auto-indexing.Rmd)
Error: processing vignette 'datatable-secondary-indices-and-auto-indexing.Rmd' failed with diagnostics:
dim.data.table expects a data.table as input (which is a list), but seems to be of type list
--- failed re-building ‘datatable-secondary-indices-and-auto-indexing.Rmd’

SUMMARY: processing the following files failed:
  ‘datatable-faq.Rmd’ ‘datatable-intro.Rmd’ ‘datatable-keys-fast-subset.Rmd’
  ‘datatable-programming.Rmd’ ‘datatable-reference-semantics.Rmd’ ‘datatable-reshape.Rmd’
  ‘datatable-sd-usage.Rmd’ ‘datatable-secondary-indices-and-auto-indexing.Rmd’

Error: Vignette re-building failed.
Execution halted
