Cloning into 'data.table'...
done.
Note: switching to '1.15.0'.

You are in 'detached HEAD' state. You can look around, make experimental
changes and commit them, and you can discard any commits you make in this
state without impacting any branches by switching back to a branch.

If you want to create a new branch to retain commits you create, you may
do so (now or later) by using -c with the switch command. Example:

  git switch -c <new-branch-name>

Or undo this operation with:

  git switch -

Turn off this advice by setting config variable advice.detachedHead to false

HEAD is now at 27b0b227 bump version for tagging release
/usr/bin/cp /scratch/th798/mutation-testing/data.table/src/wrappers.c/wrappers.mutant.880.c data.table/src/wrappers.c
* checking for file ‘data.table/DESCRIPTION’ ... OK
/usr/bin/cp -LR --preserve=timestamps data.table /tmp/th798/8028714/RtmphwFQWK/Rbuild18f94b7a8628b6
* preparing ‘data.table’:
* checking DESCRIPTION meta-information ... OK
* cleaning src
* running ‘cleanup’
* installing the package to build vignettes
* creating vignettes ... ERROR
--- re-building ‘datatable-benchmarking.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 10060 would be too long for
<div id="TOC">
<ul class="numbered">
<li><a href="#fread-clear-caches"><span class="section-number">1.</span> fread: clear caches</a></li>
<li><a href="#subset-threshold-for-index-optimization-on-compound-queries"><span class="section-number">2.</span> subset: threshold for index optimization on compound queries</a></li>
<li><a href="#subset-index-aware-benchmarking"><span class="section-number">3.</span> subset: index aware benchmarking</a></li>
<li><a href="#by-reference-operations"><span class="section-number">4.</span> <em>by reference</em> operations</a></li>
<li><a href="#try-to-benchmark-atomic-processes"><span class="section-number">5.</span> try to benchmark atomic processes</a></li>
<li><a href="#avoid-class-coercion"><span class="section-number">6.</span> avoid class coercion</a></li>
<li><a href="#avoid-microbenchmark-times-100"><span class="section-number">7.</span> avoid <code>microbenchmark(..., times=100)</code></a></li>  [... truncated]
--- finished re-building ‘datatable-benchmarking.Rmd’

--- re-building ‘datatable-faq.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 88411 would be too long for
<div id="TOC">
<ul class="numbered">
<li><a href="#beginner-faqs"><span class="section-number">1.</span> Beginner FAQs</a>
<ul>
<li><a href="#j-num"><span class="section-number">1.1</span> Why do <code>DT[ , 5]</code> and <code>DT[2, 5]</code> return a 1-column data.table rather than vectors like <code>data.frame</code>?</a></li>
<li><a href="#why-does-dt-quot-region-quot-return-a-1-column-data-table-rather-than-a-vector"><span class="section-number">1.2</span> Why does <code>DT[,&quot;region&quot;]</code> return a 1-column data.table rather than a vector?</a></li>
<li><a href="#why-does-dt-region-return-a-vector-for-the-region-column-i-d-like-a-1-column-data-table"><span class="section-number">1.3</span> Why does <code>DT[, region]</code> return a vector for the “region” column?  I’d like a 1-column data.table.</a></li>
<li><a href="#why-does-dt-x-y-z-not-work-i-wanted-the-3-columns-x-y-and-z"><span class="section-number">1.4</spa [... truncated]
--- finished re-building ‘datatable-faq.Rmd’

--- re-building ‘datatable-importing.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 19120 would be too long for
<style>
h2 {
    font-size: 20px;
}
</style>
<p>This document is focused on using <code>data.table</code> as a dependency in other R packages. If you are interested in using <code>data.table</code> C code from a non-R application, or in calling its C functions directly, jump to the <a href="#non-r-API">last section</a> of this vignette.</p>
<p>Importing <code>data.table</code> is no different from importing other R packages. This vignette is meant to answer the most common questions arising around that subject; the lessons presented here can be applied to other R packages.</p>
<h2 id="why-to-import-data-table">Why to import <code>data.table</code></h2>
<p>One of the biggest features of <code>data.table</code> is its concise syntax which makes exploratory analysis faster and easier to write and perceive; this convenience  can drive packages authors to use <code>data.table</code> in their own packages. Another maybe even more important rea [... truncated]
--- finished re-building ‘datatable-importing.Rmd’

--- re-building ‘datatable-intro.Rmd’ using knitr

Quitting from lines 444-445 [unnamed-chunk-26] (datatable-intro.Rmd)
Error: processing vignette 'datatable-intro.Rmd' failed with diagnostics:
missing value where TRUE/FALSE needed
--- failed re-building ‘datatable-intro.Rmd’

--- re-building ‘datatable-keys-fast-subset.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 38726 would be too long for
<p>This vignette is aimed at those who are already familiar with <em>data.table</em> syntax, its general form, how to subset rows in <code>i</code>, select and compute on columns, add/modify/delete columns <em>by reference</em> in <code>j</code> and  group by using <code>by</code>. If you’re not familiar with these concepts, please read the <em>“Introduction to data.table”</em> and <em>“Reference semantics”</em> vignettes first.</p>
<hr />
<h2 id="data">Data</h2>
<p>We will use the same <code>flights</code> data as in the <em>“Introduction to data.table”</em> vignette.</p>
<pre><code class="language-r">flights &lt;- fread(&quot;flights14.csv&quot;)
head(flights)
#     year month   day dep_delay arr_delay carrier origin   dest air_time distance  hour
#    &lt;int&gt; &lt;int&gt; &lt;int&gt;     &lt;int&gt;     &lt;int&gt;  &lt;char&gt; &lt;char&gt; &lt;char&gt;    &lt;int&gt;    &lt;int&gt; &lt;int&gt;
# 1:  2014     1     1 [... truncated]
--- finished re-building ‘datatable-keys-fast-subset.Rmd’

--- re-building ‘datatable-programming.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 27718 would be too long for
<h2 id="introduction">Introduction</h2>
<p><code>data.table</code>, from its very first releases, enabled the usage of <code>subset</code> and <code>with</code> (or <code>within</code>) functions by defining the <code>[.data.table</code> method. <code>subset</code> and <code>with</code> are base R functions that are useful for reducing repetition in code, enhancing readability, and reducing number the total characters the user has to type. This functionality is possible in R because of a quite unique feature called <em>lazy evaluation</em>. This feature allows a function to catch its arguments, before they are evaluated, and to evaluate them in a different scope than the one in which they were called. Let’s recap usage of the <code>subset</code> function.</p>
<pre><code class="language-r">subset(iris, Species == &quot;setosa&quot;)
#   Sepal.Length Sepal.Width Petal.Length Petal.Width Species
# 1          5.1         3.5          1.4   [... truncated]
--- finished re-building ‘datatable-programming.Rmd’

--- re-building ‘datatable-reference-semantics.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 28891 would be too long for
<p>This vignette discusses <em>data.table</em>‘s reference semantics which allows to <em>add/update/delete</em> columns of a <em>data.table by reference</em>, and also combine them with <code>i</code> and <code>by</code>. It is aimed at those who are already familiar with <em>data.table</em> syntax, its general form, how to subset rows in <code>i</code>, select and compute on columns, and perform aggregations by group. If you’re not familiar with these concepts, please read the <em>“Introduction to data.table”</em> vignette first.</p>
<hr />
<h2 id="data">Data</h2>
<p>We will use the same <code>flights</code> data as in the <em>“Introduction to data.table”</em> vignette.</p>
<pre><code class="language-r">flights &lt;- fread(&quot;flights14.csv&quot;)
flights
#          year month   day dep_delay arr_delay carrier origin   dest air_time distance  hour
#         &lt;int&gt; &lt;int&gt; &lt;int&gt;     &lt;int&gt;     &lt;int&gt [... truncated]
--- finished re-building ‘datatable-reference-semantics.Rmd’

--- re-building ‘datatable-reshape.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 28645 would be too long for
<p>This vignette discusses the default usage of reshaping functions <code>melt</code> (wide to long) and <code>dcast</code> (long to wide) for <em>data.tables</em> as well as the <strong>new extended functionalities</strong> of melting and casting on <em>multiple columns</em> available from <code>v1.9.6</code>.</p>
<hr />
<h2 id="data">Data</h2>
<p>We will load the data sets directly within sections.</p>
<h2 id="introduction">Introduction</h2>
<p>The <code>melt</code> and <code>dcast</code> functions for <code>data.table</code>s are for reshaping wide-to-long and long-to-wide, respectively; the implementations are specifically designed with large in-memory data (e.g. 10Gb) in mind.</p>
<p>In this vignette, we will</p>
<ol>
<li>
<p>First briefly look at the default <code>melt</code>ing and <code>dcast</code>ing of <code>data.table</code>s to convert them from <em>wide</em> to <em>long</em> format and <em>vice versa</em></p>
</li>
<li>
<p> [... truncated]
--- finished re-building ‘datatable-reshape.Rmd’

--- re-building ‘datatable-sd-usage.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 44409 would be too long for
<div id="TOC">
<ul class="numbered">
<li><a href="#what-is-sd"><span class="section-number">1.</span> What is <code>.SD</code>?</a>
<ul>
<li><a href="#loading-and-previewing-lahman-data"><span class="section-number">1.1</span> Loading and Previewing Lahman Data</a></li>
</ul>
</li>
<li><a href="#sd-on-ungrouped-data"><span class="section-number">2.</span> <code>.SD</code> on Ungrouped Data</a>
<ul>
<li><a href="#column-subsetting-sdcols"><span class="section-number">2.1</span> Column Subsetting: <code>.SDcols</code></a></li>
<li><a href="#column-type-conversion"><span class="section-number">2.2</span> Column Type Conversion</a></li>
<li><a href="#controlling-a-model-s-right-hand-side"><span class="section-number">2.3</span> Controlling a Model’s Right-Hand Side</a></li>
<li><a href="#conditional-joins"><span class="section-number">2.4</span> Conditional Joins</a></li>
</ul>
</li>
<li><a href="#grouped-sd-operations"><span class="sectio [... truncated]
--- finished re-building ‘datatable-sd-usage.Rmd’

--- re-building ‘datatable-secondary-indices-and-auto-indexing.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 24689 would be too long for
<p>This vignette assumes that the reader is familiar with data.table’s <code>[i, j, by]</code> syntax, and how to perform fast key based subsets. If you’re not familiar with these concepts, please read the <em>“Introduction to data.table”</em>,  <em>“Reference semantics”</em> and <em>“Keys and fast binary search based subset”</em> vignettes first.</p>
<hr />
<h2 id="data">Data</h2>
<p>We will use the same <code>flights</code> data as in the <em>“Introduction to data.table”</em> vignette.</p>
<pre><code class="language-r">flights &lt;- fread(&quot;flights14.csv&quot;)
head(flights)
#     year month   day dep_delay arr_delay carrier origin   dest air_time distance  hour
#    &lt;int&gt; &lt;int&gt; &lt;int&gt;     &lt;int&gt;     &lt;int&gt;  &lt;char&gt; &lt;char&gt; &lt;char&gt;    &lt;int&gt;    &lt;int&gt; &lt;int&gt;
# 1:  2014     1     1        14        13      AA    JFK    LAX      359     2475     9
# 2:  2014 [... truncated]
--- finished re-building ‘datatable-secondary-indices-and-auto-indexing.Rmd’

SUMMARY: processing the following file failed:
  ‘datatable-intro.Rmd’

Error: Vignette re-building failed.
Execution halted
