Cloning into 'data.table'...
done.
Note: switching to '1.15.0'.

You are in 'detached HEAD' state. You can look around, make experimental
changes and commit them, and you can discard any commits you make in this
state without impacting any branches by switching back to a branch.

If you want to create a new branch to retain commits you create, you may
do so (now or later) by using -c with the switch command. Example:

  git switch -c <new-branch-name>

Or undo this operation with:

  git switch -

Turn off this advice by setting config variable advice.detachedHead to false

HEAD is now at 27b0b227 bump version for tagging release
/usr/bin/cp /scratch/th798/mutation-testing/data.table/src/wrappers.c/wrappers.mutant.907.c data.table/src/wrappers.c
* checking for file ‘data.table/DESCRIPTION’ ... OK
/usr/bin/cp -LR --preserve=timestamps data.table /tmp/th798/8028741/Rtmpiciy0F/Rbuild3d5f874b9d3e00
* preparing ‘data.table’:
* checking DESCRIPTION meta-information ... OK
* cleaning src
* running ‘cleanup’
* installing the package to build vignettes
* creating vignettes ... ERROR
--- re-building ‘datatable-benchmarking.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 10060 would be too long for
<div id="TOC">
<ul class="numbered">
<li><a href="#fread-clear-caches"><span class="section-number">1.</span> fread: clear caches</a></li>
<li><a href="#subset-threshold-for-index-optimization-on-compound-queries"><span class="section-number">2.</span> subset: threshold for index optimization on compound queries</a></li>
<li><a href="#subset-index-aware-benchmarking"><span class="section-number">3.</span> subset: index aware benchmarking</a></li>
<li><a href="#by-reference-operations"><span class="section-number">4.</span> <em>by reference</em> operations</a></li>
<li><a href="#try-to-benchmark-atomic-processes"><span class="section-number">5.</span> try to benchmark atomic processes</a></li>
<li><a href="#avoid-class-coercion"><span class="section-number">6.</span> avoid class coercion</a></li>
<li><a href="#avoid-microbenchmark-times-100"><span class="section-number">7.</span> avoid <code>microbenchmark(..., times=100)</code></a></li>  [... truncated]
--- finished re-building ‘datatable-benchmarking.Rmd’

--- re-building ‘datatable-faq.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 88402 would be too long for
<div id="TOC">
<ul class="numbered">
<li><a href="#beginner-faqs"><span class="section-number">1.</span> Beginner FAQs</a>
<ul>
<li><a href="#j-num"><span class="section-number">1.1</span> Why do <code>DT[ , 5]</code> and <code>DT[2, 5]</code> return a 1-column data.table rather than vectors like <code>data.frame</code>?</a></li>
<li><a href="#why-does-dt-quot-region-quot-return-a-1-column-data-table-rather-than-a-vector"><span class="section-number">1.2</span> Why does <code>DT[,&quot;region&quot;]</code> return a 1-column data.table rather than a vector?</a></li>
<li><a href="#why-does-dt-region-return-a-vector-for-the-region-column-i-d-like-a-1-column-data-table"><span class="section-number">1.3</span> Why does <code>DT[, region]</code> return a vector for the “region” column?  I’d like a 1-column data.table.</a></li>
<li><a href="#why-does-dt-x-y-z-not-work-i-wanted-the-3-columns-x-y-and-z"><span class="section-number">1.4</spa [... truncated]
--- finished re-building ‘datatable-faq.Rmd’

--- re-building ‘datatable-importing.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 19120 would be too long for
<style>
h2 {
    font-size: 20px;
}
</style>
<p>This document is focused on using <code>data.table</code> as a dependency in other R packages. If you are interested in using <code>data.table</code> C code from a non-R application, or in calling its C functions directly, jump to the <a href="#non-r-API">last section</a> of this vignette.</p>
<p>Importing <code>data.table</code> is no different from importing other R packages. This vignette is meant to answer the most common questions arising around that subject; the lessons presented here can be applied to other R packages.</p>
<h2 id="why-to-import-data-table">Why to import <code>data.table</code></h2>
<p>One of the biggest features of <code>data.table</code> is its concise syntax which makes exploratory analysis faster and easier to write and perceive; this convenience  can drive packages authors to use <code>data.table</code> in their own packages. Another maybe even more important rea [... truncated]
--- finished re-building ‘datatable-importing.Rmd’

--- re-building ‘datatable-intro.Rmd’ using knitr

Quitting from lines 385-387 [unnamed-chunk-22] (datatable-intro.Rmd)
Error: processing vignette 'datatable-intro.Rmd' failed with diagnostics:
The items in the 'by' or 'keyby' list are length(s) [26302]. Each must be length 0; the same length as there are rows in x (after subsetting if i is provided).
--- failed re-building ‘datatable-intro.Rmd’

--- re-building ‘datatable-keys-fast-subset.Rmd’ using knitr

Quitting from lines 299-303 [unnamed-chunk-22] (datatable-keys-fast-subset.Rmd)
Error: processing vignette 'datatable-keys-fast-subset.Rmd' failed with diagnostics:
typeof x.hour (integer) != typeof i.V1 (double)
--- failed re-building ‘datatable-keys-fast-subset.Rmd’

--- re-building ‘datatable-programming.Rmd’ using knitr

Quitting from lines 189-202 [hypotenuse_datatable_i_j_by] (datatable-programming.Rmd)
Error: processing vignette 'datatable-programming.Rmd' failed with diagnostics:
The items in the 'by' or 'keyby' list are length(s) [100]. Each must be length 0; the same length as there are rows in x (after subsetting if i is provided).
--- failed re-building ‘datatable-programming.Rmd’

--- re-building ‘datatable-reference-semantics.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 27556 would be too long for
<p>This vignette discusses <em>data.table</em>‘s reference semantics which allows to <em>add/update/delete</em> columns of a <em>data.table by reference</em>, and also combine them with <code>i</code> and <code>by</code>. It is aimed at those who are already familiar with <em>data.table</em> syntax, its general form, how to subset rows in <code>i</code>, select and compute on columns, and perform aggregations by group. If you’re not familiar with these concepts, please read the <em>“Introduction to data.table”</em> vignette first.</p>
<hr />
<h2 id="data">Data</h2>
<p>We will use the same <code>flights</code> data as in the <em>“Introduction to data.table”</em> vignette.</p>
<pre><code class="language-r">flights &lt;- fread(&quot;flights14.csv&quot;)
flights
#          year month   day dep_delay arr_delay carrier origin   dest air_time distance  hour
#         &lt;int&gt; &lt;int&gt; &lt;int&gt;     &lt;int&gt;     &lt;int&gt [... truncated]
--- finished re-building ‘datatable-reference-semantics.Rmd’

--- re-building ‘datatable-reshape.Rmd’ using knitr

Quitting from lines 129-130 [unnamed-chunk-7] (datatable-reshape.Rmd)
Error: processing vignette 'datatable-reshape.Rmd' failed with diagnostics:
Aggregating function(s) should take vector inputs and return a single value (length=1). However, function(s) returns length!=1. This value will have to be used to fill any missing combinations, and therefore must be length=1. Either override by setting the 'fill' argument explicitly or modify your function to handle this case appropriately.
--- failed re-building ‘datatable-reshape.Rmd’

--- re-building ‘datatable-sd-usage.Rmd’ using knitr
Warning in file.info(x, extra_cols = FALSE) :
  expanded path length 33899 would be too long for
<div id="TOC">
<ul class="numbered">
<li><a href="#what-is-sd"><span class="section-number">1.</span> What is <code>.SD</code>?</a>
<ul>
<li><a href="#loading-and-previewing-lahman-data"><span class="section-number">1.1</span> Loading and Previewing Lahman Data</a></li>
</ul>
</li>
<li><a href="#sd-on-ungrouped-data"><span class="section-number">2.</span> <code>.SD</code> on Ungrouped Data</a>
<ul>
<li><a href="#column-subsetting-sdcols"><span class="section-number">2.1</span> Column Subsetting: <code>.SDcols</code></a></li>
<li><a href="#column-type-conversion"><span class="section-number">2.2</span> Column Type Conversion</a></li>
<li><a href="#controlling-a-model-s-right-hand-side"><span class="section-number">2.3</span> Controlling a Model’s Right-Hand Side</a></li>
<li><a href="#conditional-joins"><span class="section-number">2.4</span> Conditional Joins</a></li>
</ul>
</li>
<li><a href="#grouped-sd-operations"><span class="sectio [... truncated]
--- finished re-building ‘datatable-sd-usage.Rmd’

--- re-building ‘datatable-secondary-indices-and-auto-indexing.Rmd’ using knitr

Quitting from lines 244-246 [unnamed-chunk-17] (datatable-secondary-indices-and-auto-indexing.Rmd)
Error: processing vignette 'datatable-secondary-indices-and-auto-indexing.Rmd' failed with diagnostics:
The items in the 'by' or 'keyby' list are length(s) [81483]. Each must be length 0; the same length as there are rows in x (after subsetting if i is provided).
--- failed re-building ‘datatable-secondary-indices-and-auto-indexing.Rmd’

SUMMARY: processing the following files failed:
  ‘datatable-intro.Rmd’ ‘datatable-keys-fast-subset.Rmd’ ‘datatable-programming.Rmd’
  ‘datatable-reshape.Rmd’ ‘datatable-secondary-indices-and-auto-indexing.Rmd’

Error: Vignette re-building failed.
Execution halted
